#
# spec file for package libqt5-qtserialbus
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define qt5_snapshot 0

Name:           libqt5-qtserialbus
Version:        5.9.7
Release:        lp151.1.2
Summary:        Qt 5 Serial Bus Addon
License:        SUSE-LGPL-2.1-with-digia-exception-1.1 or GPL-3.0
Group:          Development/Libraries/X11
Url:            https://www.qt.io
%define base_name libqt5
%define real_version 5.9.7
%define so_version 5.9.7
%define tar_version qtserialbus-opensource-src-5.9.7
Source:         https://download.qt.io/official_releases/qt/5.9/%{real_version}/submodules/%{tar_version}.tar.xz
Source1:        baselibs.conf
BuildRequires:  fdupes
BuildRequires:  libQt5Core-private-headers-devel >= %{version}
BuildRequires:  libQt5DBus-devel >= %{version}
BuildRequires:  libQt5Network-devel >= %{version}
BuildRequires:  libQt5Widgets-devel >= %{version}
BuildRequires:  libqt5-qtserialport-devel >= %{version}
%if %qt5_snapshot
#to create the forwarding headers
BuildRequires:  perl
%endif
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Qt Serial Bus API provides classes and functions to access the
various industrial serial buses and protocols, such as CAN, ModBus,
and others.

%prep
%setup -q -n qtserialbus-opensource-src-%{real_version}

%package -n libQt5SerialBus5
Summary:        Qt 5 Serial Bus Addon
Group:          Development/Libraries/X11

%description -n libQt5SerialBus5
The Qt Serial Bus API provides classes and functions to access the
various industrial serial buses and protocols, such as CAN, ModBus,
and others.

This package contains base tools, like string, xml, and network
handling.

%package devel
Summary:        Development files for the Qt5 SerialBus library
Group:          Development/Libraries/X11
Requires:       libQt5SerialBus5 = %{version}

%description devel
You need this package if you want to compile programs with qtserialbus.

%package private-headers-devel
Summary:        Non-ABI stable experimental API for the Qt5 SerialBus library
Group:          Development/Libraries/C and C++
BuildArch:      noarch
Requires:       %{name}-devel = %{version}
Requires:       libQt5Core-private-headers-devel >= %{version}

%description private-headers-devel
This package provides private headers of libqt5-qtserialbus that are normally
not used by application development and that do not have any ABI or
API guarantees. The packages that build against these have to require
the exact Qt version.

%package examples
Summary:        Qt5 Serial Port examples
Group:          Development/Libraries/X11
Recommends:     %{name}-devel

%description examples
Examples for the libqt5-qtserialbus module.

%post -n libQt5SerialBus5 -p /sbin/ldconfig

%postun -n libQt5SerialBus5 -p /sbin/ldconfig

%build
%if %qt5_snapshot
#force the configure script to generate the forwarding headers (it checks whether .git directory exists)
mkdir .git
%endif
%qmake5
%make_jobs

%install
%qmake5_install

# kill .la files
rm -f %{buildroot}%{_libqt5_libdir}/lib*.la

fdupes -s %{buildroot}%{prefix}

%files
%defattr(-,root,root,755)
%doc LICENSE.*
%{_libqt5_bindir}/*
%{_libqt5_plugindir}/

%files -n libQt5SerialBus5
%defattr(-,root,root,755)
%doc LICENSE.*
%{_libqt5_libdir}/libQt5SerialBus.so.*

%files private-headers-devel
%defattr(-,root,root,755)
%doc LICENSE.*
%{_libqt5_includedir}/Qt*/%{so_version}

%files devel
%defattr(-,root,root,755)
%doc LICENSE.*
%exclude %{_libqt5_includedir}/Qt*/%{so_version}
%{_libqt5_includedir}/Qt*
%{_libqt5_libdir}/cmake/Qt5SerialBus
%{_libqt5_libdir}/libQt5SerialBus.prl
%{_libqt5_libdir}/libQt5SerialBus.so
%{_libqt5_libdir}/pkgconfig/Qt5SerialBus.pc
%{_libqt5_archdatadir}/mkspecs/modules/qt_lib_serialbus*.pri

%files examples
%defattr(-,root,root,755)
%doc LICENSE.*
%{_libqt5_examplesdir}/

%changelog
* Tue Oct 23 2018 fabian@ritter-vogt.de
- Update to 5.9.7:
  * New bugfix release
  * http://code.qt.io/cgit/qt/qtserialbus.git/plain/dist/changes-5.9.7/?h=v5.9.7
* Wed Jun  6 2018 fabian@ritter-vogt.de
- Update to 5.9.6
  * New bugfix release
  * For more details please see:
  * http://code.qt.io/cgit/qt/qtserialbus.git/plain/dist/changes-5.9.6/?h=v5.9.6
* Mon Apr 23 2018 fabian@ritter-vogt.de
- Update to 5.9.5
  * New bugfix release
  * For more details please see:
  * http://code.qt.io/cgit/qt/qtserialbus.git/plain/dist/changes-5.9.5/?h=v5.9.5
* Thu Jan 25 2018 fabian@ritter-vogt.de
- Update to 5.9.4:
  * New bugfix release
  * For more details, see
    http://code.qt.io/cgit/qt/qtserialbus.git/tree/dist/changes-5.9.4/?h=v5.9.4
* Sat Nov 25 2017 fabian@ritter-vogt.de
- Update to 5.9.3
  * New bugfix release
  * For more details, see:
    http://code.qt.io/cgit/qt/qtserialbus.git/tree/dist/changes-5.9.3/?h=v5.9.3
* Sun Oct  8 2017 lbeltrame@kde.org
- Update to 5.9.2
  * For more details please see:
    https://blog.qt.io/blog/2017/10/06/qt-5-9-2-released/
* Sat Jul  1 2017 lbeltrame@kde.org
- Update to 5.9.1
  * For more details please see:
    http://blog.qt.io/blog/2017/06/30/qt-5-9-1-released/
* Fri Jun  2 2017 jengelh@inai.de
- Update descriptions.
* Wed May 31 2017 fabian@ritter-vogt.de
- Update to 5.9.0 final
* Wed May 24 2017 fabian@ritter-vogt.de
- Update to 5.9.0 RC:
  * For more details please see:
    http://lists.qt-project.org/pipermail/announce/2017-May/000115.html
    and https://wiki.qt.io/New_Features_in_Qt_5.9
* Wed Dec 14 2016 hrvoje.senjan@gmail.com
- Update to 5.7.1
  * For more details please see:
    https://blog.qt.io/blog/2016/12/14/qt-5-7-1-released/
    and https://www.qt.io/qt5-7/
* Sat Jul 16 2016 hrvoje.senjan@gmail.com
- Activate libqt5-qtserialbus package
